using System;
using DevExpress.Xpo;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;

namespace Nuvolar.Module.BusinessObjects.Migration
{
    [DefaultClassOptions,NavigationItem(false),CreatableItem(false)]
    
    public class MigrationLog : BaseObject
    { 
        public MigrationLog(Session session)
            : base(session)
        {
        }
        public override void AfterConstruction()
        {
            base.AfterConstruction();
            
        }
        
        private DateTime _DateCreated;
        private User _UserCreated;
        private string _ShortName;
        private string _Description;
        
        public DateTime DateCreated
        {
            get { return _DateCreated; }
            set { SetPropertyValue(nameof(DateCreated), ref _DateCreated, value); }
        }
        public User UserCreated
        {
            get { return _UserCreated; }
            set { SetPropertyValue(nameof(UserCreated), ref _UserCreated, value); }
        }
        public string ShortName
        {
            get { return _ShortName; }
            set { SetPropertyValue(nameof(ShortName), ref _ShortName, value); }
        }
        [Size(-1)]
        public string Description
        {
            get { return _Description; }
            set { SetPropertyValue(nameof(Description), ref _Description, value); }
        }

    }
}